fieldset {
    padding: .35em .625em .75em;
    margin: 0 2px;
    border: 2px solid silver ;

        }

legend {
    /*background-color: #000;*/
    /*!*color: #fff;*!*/
    padding: .5em;
    border: 0;
    width: auto;
}

.button {
    display: inline-block;
    position: relative;
background-image: linear-gradient(-225deg, #B7F8DB 0%, #50A7C2 100%);
    border: none;
    font-size: 17px;
    color: #FFFFFF;

    /*width: 200px;*/
    text-align: center;
    -webkit-transition-duration: 0.4s; /* Safari */
    transition-duration: 0.4s;
    text-decoration: none;
    overflow: hidden;
    cursor: pointer;
    border-radius: 3px;

  /*display: inline-block;*/
  /*!*padding: 15px 25px;*!*/
  /*font-size: 20px;*/
  /*cursor: pointer;*/
  /*text-align: center;*/
  /*text-decoration: none;*/
  /*outline: none;*/
  /*color: #fff;*/
  /*background-color: #4CAF50;*/
  /*border: none;*/
  /*border-radius: 15px;*/
  /*box-shadow: 0 9px #999;*/
}

.button:hover {background-color: #3e8e41}

.button:active {
  background-color: #3e8e41;
  box-shadow: 0 5px #666;
  transform: translateY(4px);
}



.button2 {
    display: inline-block;
    position: relative;
background-image: linear-gradient(-225deg, #CBBACC 0%, #2580B3 100%);
    border: none;
 font-size: 17px;
    margin: 4px 2px;
    color: #FFFFFF;

    /*width: 100px;*/
    text-align: center;
    -webkit-transition-duration: 0.4s; /* Safari */
    transition-duration: 0.4s;
    text-decoration: none;
    overflow: hidden;
    cursor: pointer;
    border-radius: 3px;
    /*box-shadow: 0 9px #999;*/
}


.button2:after {
    content: "";
background-image: linear-gradient(-225deg, #FFFEFF 0%, #D7FFFE 100%);
    display: block;
    position: absolute;
    padding-top: 300%;
    padding-left: 350%;
    margin-left: -20px!important;
    margin-top: -120%;
    opacity: 0;
    transition: all 0.8s
}

.button2:active:after {
    padding: 0;
    margin: 0;
    opacity: 1;
    transition: 0s
}